class Record
	begin
		instance
			int value1;
			int value2;
			Record init( int value1; int value2; )
				begin
					this.value1 = value1;
					this.value2 = value2;
					return this;
				end
	end
println( "Constructing Record" );
Record b = new Record.init( 1, 2 );
println( "Completed construction" );
println( "b.value1 = " + b.value1 );
println( "b.value2 = " + b.value2 );
println( "Completed" );
